#ifndef _SQLACTNM_H_
#define _SQLACTNM_H_

// These values should increment by twos because the index
// of the associated help text is set to 1 more than the index
// of the counter name text
//
// -- ALWAYS ADD NEW NAMES AT THE BOTTOM --

#define CI_WSQLOBJ				0

#define CI_PACKETS_RECEIVED			2
#define CI_BYTES_RECEIVED			4
#define CI_PACKETS_SENT				6
#define CI_BYTES_SENT				8
#define CI_PACKETS_RESENT			10
#define CI_PACKETS_RERECEIVED			12
#define CI_PACKETS_CHOPPED			14
#define CI_PACKETS_CORRUPTED			16
#define CI_PACKETS_DROPPED			18
#define CI_MULTI_PACKETS_SENT			20
#define CI_MULTI_PACKETS_RECEIVED		22
#define CI_REMOTEPUT_WAIT			24
#define CI_SEND_FAIL				26
#define CI_FREE_BUFFERS				28
#define CI_TOTAL_BUFFERS			30
#define CI_SERVER_IDLE_WAITS			32	

#define CI_DBSTAT_IDLE_ACTIVE			34
#define CI_DBSTAT_IDLE_WRITES			36
#define CI_DBSTAT_IDLE_CHECKPOINTS		38

#define CI_DBSTAT_CHECKPOINTS			42
#define CI_DBSTAT_CHECKPOINT_LOG		44
#define CI_DBSTAT_CHECKPOINT_FLUSH		46
#define CI_DBSTAT_EXTEND_DB			48
#define CI_DBSTAT_EXTEND_TEMP			50
#define CI_DBSTAT_FREELIST_WRITE_PUSH		52
#define CI_DBSTAT_FREELIST_WRITE_CURR		54
#define CI_DBSTAT_COMMIT_FILE			56
#define CI_DBSTAT_CONTINUE_REQUESTS		58
#define CI_DBSTAT_UNSCHEDULED_REQUESTS		60
#define CI_DBSTAT_ACTIVE_REQUESTS		62
#define CI_DBSTAT_PENDING_REQUESTS		64
#define CI_DBSTAT_REQUESTS			66
#define CI_DBSTAT_CURRENT_READ			68
#define CI_DBSTAT_MAXIMUM_READ			70
#define CI_DBSTAT_CURRENT_WRITE			72
#define CI_DBSTAT_MAXIMUM_WRITE			74
#define CI_DBSTAT_CURRENT_IO			76
#define CI_DBSTAT_MAXIMUM_IO			78
#define CI_DBCONNSTAT_CACHE_READ		80
#define CI_DBCONNSTAT_DISK_READ			82
#define CI_DBCONNSTAT_DISK_SYNCREAD		84
#define CI_DBCONNSTAT_DISK_WAITREAD		86
#define CI_DBCONNSTAT_CACHE_TABLE_READ		88
#define CI_DBCONNSTAT_CACHE_INDEXLEAF_READ	90
#define CI_DBCONNSTAT_CACHE_INDEXINT_READ	92
#define CI_DBCONNSTAT_DISK_TABLE_READ		94
#define CI_DBCONNSTAT_DISK_INDEXLEAF_READ	96
#define CI_DBCONNSTAT_DISK_INDEXINT_READ	98
#define CI_DBCONNSTAT_CACHE_WRITE		100
#define CI_DBCONNSTAT_DISK_WRITE		102
#define CI_DBCONNSTAT_DISK_SYNCWRITE		104
#define CI_DBCONNSTAT_DISK_SYNC_WRT_EXTEND	106
#define CI_DBCONNSTAT_DISK_SYNC_WRT_RLBK	108
#define CI_DBCONNSTAT_DISK_SYNC_WRT_LOG		110
#define CI_DBCONNSTAT_DISK_SYNC_WRT_FREE_CURR	112
#define CI_DBCONNSTAT_DISK_SYNC_WRT_FREE_PUSH	114
#define CI_DBCONNSTAT_DISK_SYNC_WRT_CHKPT	116
#define CI_DBCONNSTAT_DISK_SYNC_WRT_UNKN	118
#define CI_DBCONNSTAT_ASYNC_READ		120
#define CI_DBCONNSTAT_ASYNC_WRITE		122
#define CI_DBCONNSTAT_REREAD_QUEUED		124
#define CI_DBCONNSTAT_READ_HINTS		126
#define CI_DBCONNSTAT_READ_HINTS_USED		128
#define CI_DBCONNSTAT_REDO_WRITE		130
#define CI_DBCONNSTAT_REDO_REWRITE		132
#define CI_DBCONNSTAT_REDO_FREE_COMMIT		134
#define CI_DBCONNSTAT_WAITREAD_OPTIM		136	
#define CI_DBCONNSTAT_WAITREAD_TEMPTAB		138
#define CI_DBCONNSTAT_WAITREAD_SYSCONN		140
#define CI_DBCONNSTAT_WAITREAD_FULLCOMP		142
#define CI_DBCONNSTAT_WAITREAD_UNKNOWN		144
#define CI_CONNSTAT_COMMIT			146
#define CI_CONNSTAT_ROLLBACK			148	
#define CI_CONNSTAT_STATEMENT			150
#define CI_CONNSTAT_CURSOR			152
#define CI_CONNSTAT_OPEN_CURSOR			154
#define CI_CONNSTAT_CONTEXT_SWITCHES		156
#define CI_CONNSTAT_CONTEXT_SWITCH_CHECKS	158
#define CI_CONNSTAT_LAST_IDLE_TIME		160
#define CI_CONNSTAT_CURRENT_CONTEXT_SWITCHES	162
#define CI_CONNSTAT_BLOCKED_ON			164
#define CI_CONNSTAT_UNCOMMITTED_OPS		166
#define CI_PING1				168
#define CI_PING2				170

#define CI_DBCONNSTAT_INDEX_ADDS		172
#define CI_DBCONNSTAT_INDEX_LOOKUPS		174
#define CI_DBCONNSTAT_FULL_COMPARES		176

#define CI_INDEX_FILLS				178
#define CI_INDEX_MERGES				180

#define CI_DIRTY_PAGES				182
#define CI_IO_TO_RECOVER			184
#define CI_CHECKPOINT_URGENCY			186
#define CI_RECOVERY_URGENCY			188
#define CI_DBCONNSTAT_VOLUNTARY_BLOCKS		190

#define CI_DBCONNSTAT_DISK_WAITWRITE		192

#define CI_DBSTAT_MAIN_HEAP_PAGES		194
#define CI_DBSTAT_PROCEDURE_PAGES		196
#define CI_DBSTAT_TRIGGER_PAGES			198
#define CI_DBSTAT_VIEW_PAGES			200
#define CI_DBSTAT_RELOCATABLE_HEAP_PAGES	202
#define CI_DBSTAT_PAGE_RELOCATIONS		204
#define CI_DBSTAT_MAP_PAGES			206
#define CI_DBCONNSTAT_CACHE_HITS		208
#define CI_DBCONNSTAT_ROLLBACK_LOG_PAGES	210
#define CI_DBCONNSTAT_LOCK_TABLE_PAGES		212

#endif
